Loading...
Searching...
No Matches
ParamReg Struct Reference

Parameter registration function pointers. More...

`#include <gx_plugin.h>`

Inheritance diagram for ParamReg:

## Public Attributes

PluginDef * | plugin
float *(* | registerFloatVar )(const char *id, const char *name, const char *tp, const char *tooltip, float *var, float val, float low, float up, float step, const value_pair *values)
int *(* | registerIntVar )(const char *id, const char *name, const char *tp, const char *tooltip, int *var, int val, int low, int up, const value_pair *values)
bool *(* | registerBoolVar )(const char *id, const char *name, const char *tp, const char *tooltip, bool *var, bool val)

## Detailed Description

Parameter registration function pointers.

All functions expect a character string parameter tp:

first char:

- S: continuous values, float (Faust vslider, hslider, nentry, vbargraph, hbargraph)
- B: 2 values: 0/1, false/true (Faust checkbox, button)

following chars (order doesn't matter, there should not be duplicate chars):

- A: aliased (parameter id used by several plugins), (Faust: [alias])
- L: logarithmic input / output, (Faust: [log])
- N: no midi controller connection possible, (Faust: [nomidi])
- o: output parameter (will be polled for changes by plugin)
- s: parameter not saveable in preset / state file
- w: no warning (if a non saveable parameter is found in a preset / state file)
- O: non-savable, no-midi output parameter (same as "Nos"), (Faust: vbargraph, hbargraph)
- M: maxlevel output variable (max value since last poll)

Definition at line 141 of file gx_plugin.h.

## Member Data Documentation

## plugin

PluginDef* ParamReg::plugin

Definition at line 142 of file gx_plugin.h.

## registerBoolVar

bool *(* ParamReg::registerBoolVar) (const char *id, const char *name, const char *tp, const char *tooltip, bool *var, bool val)

Definition at line 151 of file gx_plugin.h.

## registerFloatVar

float *(* ParamReg::registerFloatVar) (const char *id, const char *name, const char *tp, const char *tooltip, float *var, float val, float low, float up, float step, const value_pair *values)

Definition at line 143 of file gx_plugin.h.

## registerIntVar

int *(* ParamReg::registerIntVar) (const char *id, const char *name, const char *tp, const char *tooltip, int *var, int val, int low, int up, const value_pair *values)

Definition at line 147 of file gx_plugin.h.

The documentation for this struct was generated from the following file:

- src/headers/gx_plugin.h